{% extends 'base.html' %}

{% block head_content %}
    <title>Create new post</title>
{% endblock head_content %}

{% block container %}
    <div class="container">
        <div class="row justify-content-md-center">
            <div class="col-6 pt-3 pb-3" id="profile-box">
                <h4 class="mb-4">Post a new photo!</h4>
 
                <form method="POST" enctype="multipart/form-data">
                    {% csrf_token %}
 
                    {% for error in form.errors %}
                        <div class="alert alert-danger" role="alert">
                             {% for e in error %}
                                {{ e }}
                            {% endfor %}
                        </div>
                    {% endfor %}

                    <input type="hidden" name="user" value="{{ user.pk }}">
                    <input type="hidden" name="profile" value="{{ profile.pk }}">

                    {# Website field #}
                    <div class="form-group">
                        <input 
                            type="text" 
                            name="title" 
                            class="form-control {% if form.title.errors %}is-invalid{% endif %}" 
                            placeholder="Title"
                        >
                        <div class="invalid-feedback">
                            {% for error in form.title.erros %}{{ error }}{% endfor %}
                        </div>
                    </div>

                    {# Photo field #}
                    <div class="form-group">
                        <label for="photo">Choose your photo:</label>
                        <input 
                            type="file" 
                            class="form-control {% if form.photo.errors %}is-invalid{% endif %}" 
                            name="photo" 
                            placeholder="photo" 
                        >

                        <div class="invalid-feedback">
                            {% for error in form.photo.errors %}{{ error }}{% endfor %}
                        </div>
                    </div>

                    <button type="submit" class="btn btn-primary btn-block mt-5">Publish!</button>
                    
                </form>
            </div>
        </div>
    </div>
{% endblock container %}